# Create your models here.
from django.db import models
from django.utils import timezone

class MarkdownContent(models.Model):
    title = models.CharField(max_length=100)
    content = models.TextField()
    author = models.CharField(max_length=100,default='tbd')
    created_at = models.DateTimeField(default=timezone.now)
    updated_at = models.DateTimeField(auto_now=True)

    class Meta:
        verbose_name_plural = "Markdown content"

    def __str__(self):
        return self.title
